#include<iostream>
using namespace std;
int main(){
char cd;
char word[1000];
int i = 0;
for(i = 0; i < 1000; i++){
    cin >> word[i];
    if(word[i] == 'd'){
        cd = 'd';
        break;
    }
    if(word[i] == 'c'){
        cd = 'c';
        break;
    }
}
if(cd == 'd'){

}
else if(cd == 'c'){
    for(int j = 0; j < i; j++){
        if(word[j] == 'a' || word[j] == 'A') cout << "afa";
        else if(word[j] == 'e' || word[j] == 'E') cout << "efe";
        else if(word[j] == 'i' || word[j] == 'I') cout << "ifi";
        else if(word[j] == 'o' || word[j] == 'O') cout << "ofo";
        else if(word[j] == 'u' || word[j] == 'U') cout << "ufu";
        else if(word[j] == 'y' || word[j] == 'Y') cout << "yfy";
        else if(word[j] == 'A') cout << "AfA";
        else if(word[j] == 'E') cout << "EfE";
        else if(word[j] == 'I') cout << "IfI";
        else if(word[j] == 'O') cout << "OfO";
        else if(word[j] == 'U') cout << "UfU";
        else if(word[j] == 'Y') cout << "YfY";
        else if(word[j] == ' ') cout << " ";
        else cout << word[j];
    }
}


return 0;
}
